{
  pkgs,
  lib,
  buildPythonPackage,
  migen,
  setuptools,
  litex,
}:
buildPythonPackage rec {
  pname = "litespi";
  version = "2023.12";

  src = pkgs.fetchFromGitHub {
    owner = "litex-hub";
    repo = "litespi";
    rev = "${version}";
    hash = "sha256-XYeWokF1IGtZWRK+6jhRSN91MOV5vyh5aO08sbtFBxw=";
  };

  buildInputs = [
    litex
  ];

  propagatedBuildInputs = [
    migen
  ];

  nativeCheckInputs = [
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
